[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResourceReader.AddNoTree

Adds a resource without updating the internal tree

## Declaration

Source position: resource.pp line 292

`protected procedure TAbstractResourceReader.AddNoTree(`
`aResources: TResources;`
`aResource: TAbstractResource`
`);`

## Arguments

`aResources` |  | The TResources object to be notified
`aResource` |  | The resource that has been added to the tree

## Description

This protected method is used by descendents of TAbstractResourceReader after they add new resources to the internal resource tree used by a TResources object. Calling this method notifies the TResources object about the newly-added resource.

## See also

TAbstractResourceReader.GetTree |  | Gets the internal resource tree of a TResources object
TRootResTreeNode |  | The root node in a resource tree